# Project Management Committee Meeting 2021-04-13

### Attendance:
The attendance have reached quorum with 8 participants in the meeting.

### Agenda:

 1. Review the actions from last meetings
 2. Review the issues and PRs from the community which need to higlight
 3. Open discussion


### Review the actions from last meetings:
Topic1: OpenHamony SIG group operation mechanism & community status review
1. The SIG Leader is responsible for defining the scope of work and business objectives of the corresponding SIG, and operate and maintain the corresponding SIG.
2. The SIG Leader is responsible for attracting and developing external committers to participate in project incubation, documentation improvement and community promotion of the corresponding SIG.
3. The SIG leader regularly reports the SIG incubation project and SIG operation progress to the PMC, and makes improvements based on PMC's guidance and suggestions.
4. Responsible for the design, review, and make decisions on software module architectures in the SIG domain, proactively identify, optimize, or reconstruct code in the responsible domain; eliminate technical debts.
5. Serve as OpenHarmony open source technology evangelist to publicize OpenHarmony's value proposition, as the main speech of the technology salon, writing technical articles, etc.
6. There are a total of 107 issues to be created before March 2021, of which 87 have no designated responsible person. The clearing of historical issues is slow. 
TOP projects: 
sig-kernel [@wangmihu](https://gitee.com/wangmihu2008)
sig-Test [@gaohanyi](https://gitee.com/gaohanyi1982)  
sig-Compiler-and-build [@wangxing](https://gitee.com/wangxing-hw)
sig-hisi-vendor [@yuanwenhong](https://gitee.com/yuan.w.hong)
sig-softbus [@xuyongpan](https://gitee.com/Xuyongpan)
7. A total of 75 issues will be created after March 2021, of which 57 have not designated responsible persons;
TOP projects: 
sig-kernel [@wangmihu](https://gitee.com/wangmihu2008), 
sig-graphic [@lizhiqi](https://gitee.com/pssea)
sig-ACE [@lubo](https://gitee.com/borne)
sig-Test [@gaohanyi](https://gitee.com/gaohanyi1982) 

Topic2: Standardize the use of CMSIS on L0-Provide support for the M core to add other IoT kernel OS
1. Standardize CMSIS invocation based on the original OpenHarmony to facilitate access of other kernels in the community. Correct improper CMSIS test suites in test cases and non-standard CMSIS in LiteOS. Owner: [@wangmihu](https://gitee.com/wangmihu2008)
2. Each L0 subsystem is decoupled from the LiteOS and accesses the kernel through the CMSIS interface. Owner: [@wangmihu](https://gitee.com/wangmihu2008)
3. Establish a SIG group to provide APIs at the compatibility layer for migrating other IoT kernel OS to OpenHarmony. owner: [@liangkelei](https://gitee.com/kevenlikai)

Topic3: Added KV-database management subsystem:
1. Agree to establish sig-database and provides the local database capability. The distributed capability is added to connect to 1+8+N devices in future.
2. The definition of API interface, repository name, directory name, and architecture should be consistent with those at the L2-L5 level.  owner: [@xuchao](https://gitee.com/purple-ding-gags)
4. Due to the lifetime of the NOR flash device, should consider to reduce the frequency of writing on write-back. owner: [@xuchao](https://gitee.com/purple-ding-gags)

Topic4: Writing Component Specification Information to Component README
1. Agree to write specifications and dependent component fields into README, decompose the specifications and dependent information and integrate with the existing README information to form a template to be added to the README and related material writing specifications owner: [@YangNi]https://gitee.com/neeen
2. Push each subsystem to update component specifications based on the template provided in the documentation --- owner: [@mazhanfu](mazhanfu@huawei.com)
3. Component dependencies can be exported and added to the TODO list as a new requirement. owner: [@peitaiyi](https://gitee.com/taiyipei)

Topic5: Building an Open Source Repository for Lightweight Graphics Demo Boards
1. Agree to establish sig-devboard, and sig-devboard will be used to incubate the three-party development board adaptation. Create the device_st and vendor_huawei_minidisplay_demo repositories in the openharmony-sig. The test board with community access control is ready and then open the source. [@lilailong](https://gitee.com/kkup180)

Topic6: Qemu access control test project report
1. Agree to add the QEMU simulator CI test project to improve the efficiency of the pure software CI access control test that does not depend on the hardware development board. owner: [@wangyiming](youthdragon.wangyiming@huawei.com)




### Review the issues and PRs from the community which need to higlight


### Open discussion
