# SIG-SoftBus
English | [简体中文](./sig_softbus_cn.md)

Note: The content of this SIG follows the convention described in OpenHarmony's PMC Management Charter [README](/zh/pmc.md).

## SIG group work objectives and scope

### work goals

Continuously contributes to the softbus of the OpenHarmony community, implements unified distributed communication capability management between near-field devices, and provides device discovery, networking, and transmission capabilities regardless of the link type. 

### work scope
- Design, review, and make decisions on the architecture of software modules related to the distributed softbus. 
- Review and incorporate the code of software modules in the distributed softbus domain, prohibit low-quality code from being incorporated into the master branch, and maintain the test code. 
- Actively and effectively participate in code review and comment, share programming experience, communicate with developers, transfer software development skills, and effectively coach open source community developers to write good code. 
- Handle requirements, issues and mailing lists, and ensure that the closure period meets the SLA requirements of the OpenHarmony community. 
- Provide feedback and guidance on code quality based on review and development activities to improve code quality in the OpenHarmony community. 

### The repository 
- project name:
  - communication_dsoftbus: https://gitee.com/openharmony/communication_dsoftbus
  - communication_softbus_lite: https://gitee.com/openharmony/communication_softbus_lite
  - communication_ipc: https://gitee.com/openharmony/communication_ipc
  - communication_ipc_lite: https://gitee.com/openharmony/communication_ipc_lite
  - communication_bluetooth: https://gitee.com/openharmony/communication_bluetooth
  - communication_wifi: https://gitee.com/openharmony/communication_wifi
  - communication_wifi_lite: https://gitee.com/openharmony/communication_wifi_lite
  - communication_wifi_aware: https://gitee.com/openharmony/communication_wifi_aware
  - telephony_call_manager: https://gitee.com/openharmony/telephony_call_manager
  - telephony_cellular_call: https://gitee.com/openharmony/telephony_cellular_call
  - telephony_core_service: https://gitee.com/openharmony/telephony_core_service
  - telephony_sms_mms: https://gitee.com/openharmony/telephony_sms_mms
  - telephony_state_registry: https://gitee.com/openharmony/telephony_state_registry
  - applications_camera_sample_communication: https://gitee.com/openharmony/applications_camera_sample_communication
  - applications_sample_wifi_iot: https://gitee.com/openharmony/applications_sample_wifi_iot
  - iothardware_peripheral: https://gitee.com/openharmony/iothardware_peripheral
  - iot_link: https://gitee.com/openharmony/iot_link
  - third_party_lwip: https://gitee.com/openharmony/third_party_lwip
  - third_party_wpa_supplicant: https://gitee.com/openharmony/third_party_wpa_supplicant
  - third_party_libcoap: https://gitee.com/openharmony/third_party_libcoap


## SIG Members

### Leader
- @MaErlii(https://gitee.com/maerlii)

### Committers
- @xuyongpan(https://gitee.com/xuyongpan)
- @yinyouzhan(https://gitee.com/yinyouzhan)
- @rain_myf(https://gitee.com/rain_myf)
- @bigpumpkin(https://gitee.com/bigpumpkin)
- @jyh926(https://gitee.com/jyh926)
- @life-liu(https://gitee.com/life-liu)
- @knpingan(https://gitee.com/knpingan)
- @hwlitao(https://gitee.com/hwlitao)
- @defeng2020(https://gitee.com/defeng2020)
- @brickhz(https://gitee.com/brickhz)
- @clevercong(https://gitee.com/clevercong)
- @ohos-lsw(https://gitee.com/ohos-lsw)
- @xautosoft(https://gitee.com/xautosoft)
- @li-jet(https://gitee.com/li-jet)
- @MaErlii(https://gitee.com/maerlii)

 ### Meetings
 - Meeting time: Bi-weekly meeting, Monday 19:00 pm, UTC+8 
 - Meeting link: weekly

### Contact (optional)

- Mailing list: maerli@huawei.com;dale.lijie@huawei.com;xuyongpan@huawei.com;yinyouzhan@huawei.com;maoyufeng3@huawei.com;chenzhennan@huawei.com;jiayanhong@huawei.com;liujiandong1@huawei.com;zhangxiuping@huawei.com;litao25@huawei.com;wudefeng@huawei.com;zhujianjian@huawei.com;lichunlin2@huawei.com;lishiwei6@huawei.com;zhuwenchao@huawei.com
- Slack group:
- Wechat group:
